//----------------------------------------------------------------------
//-----                          SKYBOX                            -----
//----------------------------------------------------------------------
textures/singledigitiq_jump/space_sky
{
   	qer_editorimage env/orion_sky/space_sky_up
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_noFast
	q3map_surfacelight 100
	q3map_lightRGB 135 206 250
	surfaceparm sky
	q3map_sunExt 0 191 255 100 0 90 15 90 2 16
	skyParms env/orion_sky/space_sky - -
}


//----------------------------------------------------------------------
//-----                          TEXTURES                           -----
//----------------------------------------------------------------------

textures/singledigitiq_jump/neige
{
	qer_editorimage textures/singledigitiq_jump/neige
	q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/singledigitiq_jump/neige
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/singledigitiq_jump/plat
{
	qer_editorimage textures/singledigitiq_jump/plat
	q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/singledigitiq_jump/plat
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/singledigitiq_jump/wall
{
	qer_editorimage textures/singledigitiq_jump/wall
	q3map_nonplanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/singledigitiq_jump/wall
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//----------------------------------------------------------------------
//-----                          	ICY                                    -----
//----------------------------------------------------------------------

textures/singledigitiq_jump/icy
{
    q3map_lightImage textures/singledigitiq_jump/black
    qer_editorImage textures/singledigitiq_jump/black.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/singledigitiq_jump/black
        blendFunc filter
    }
    {
        map textures/singledigitiq_jump/sky_reflect
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//----------------------------------------------------------------------
//-----                          GLASS	                        -----
//----------------------------------------------------------------------

textures/singledigitiq_jump/glass_tint
{
	qer_editorimage textures/singledigitiq_jump/bleu
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map textures/singledigitiq_jump/bleu
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/singledigitiq_jump/glass
{
	qer_editorimage textures/singledigitiq_jump/white.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	cull none
	{	
		map textures/singledigitiq_jump/white.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
}
